LinkTestFilter (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grails.doc.filters
[Groovy] Class LinkTestFilter

    java.lang.Object
      org.radeox.filter.FilterSupport
          org.radeox.filter.regex.RegexFilter
              org.radeox.filter.regex.RegexTokenFilter
                  grails.doc.filters.LinkTestFilter

    class LinkTestFilter
    extends org.radeox.filter.regex.RegexTokenFilter

Authors:
  Graeme Rocher

Since:
  1.1

Field Summary

Fields inherited from class org.radeox.filter.regex.RegexTokenFilter
SINGLELINE, MULTILINE

Fields inherited from class org.radeox.filter.regex.RegexFilter
SINGLELINE, MULTILINE

Constructor Summary
`LinkTestFilter()`

Method Summary
`protected java.lang.String` | `getWikiView(java.lang.String name)` Returns the view of the wiki name that is shown to the user.
`void` | `handleMatch(java.lang.StringBuffer buffer, org.radeox.regex.MatchResult result, org.radeox.filter.context.FilterContext context)`

Methods inherited from class org.radeox.filter.regex.RegexTokenFilter
org.radeox.filter.regex.RegexTokenFilter#filter(java.lang.String, org.radeox.filter.context.FilterContext), org.radeox.filter.regex.RegexTokenFilter#handleMatch(java.lang.StringBuffer, org.radeox.regex.MatchResult, org.radeox.filter.context.FilterContext), org.radeox.filter.regex.RegexTokenFilter#clearRegex(), org.radeox.filter.regex.RegexTokenFilter#addRegex(java.lang.String, java.lang.String, boolean), org.radeox.filter.regex.RegexTokenFilter#addRegex(java.lang.String, java.lang.String), org.radeox.filter.regex.RegexTokenFilter#before(), org.radeox.filter.regex.RegexTokenFilter#getDescription(), org.radeox.filter.regex.RegexTokenFilter#setInitialContext(org.radeox.api.engine.context.InitialRenderContext), org.radeox.filter.regex.RegexTokenFilter#replaces(), org.radeox.filter.regex.RegexTokenFilter#wait(long, int), org.radeox.filter.regex.RegexTokenFilter#wait(long), org.radeox.filter.regex.RegexTokenFilter#wait(), org.radeox.filter.regex.RegexTokenFilter#equals(java.lang.Object), org.radeox.filter.regex.RegexTokenFilter#toString(), org.radeox.filter.regex.RegexTokenFilter#hashCode(), org.radeox.filter.regex.RegexTokenFilter#getClass(), org.radeox.filter.regex.RegexTokenFilter#notify(), org.radeox.filter.regex.RegexTokenFilter#notifyAll()

Methods inherited from class org.radeox.filter.regex.RegexFilter
org.radeox.filter.regex.RegexFilter#filter(java.lang.String, org.radeox.filter.context.FilterContext), org.radeox.filter.regex.RegexFilter#clearRegex(), org.radeox.filter.regex.RegexFilter#addRegex(java.lang.String, java.lang.String, boolean), org.radeox.filter.regex.RegexFilter#addRegex(java.lang.String, java.lang.String), org.radeox.filter.regex.RegexFilter#before(), org.radeox.filter.regex.RegexFilter#getDescription(), org.radeox.filter.regex.RegexFilter#setInitialContext(org.radeox.api.engine.context.InitialRenderContext), org.radeox.filter.regex.RegexFilter#replaces(), org.radeox.filter.regex.RegexFilter#wait(long, int), org.radeox.filter.regex.RegexFilter#wait(long), org.radeox.filter.regex.RegexFilter#wait(), org.radeox.filter.regex.RegexFilter#equals(java.lang.Object), org.radeox.filter.regex.RegexFilter#toString(), org.radeox.filter.regex.RegexFilter#hashCode(), org.radeox.filter.regex.RegexFilter#getClass(), org.radeox.filter.regex.RegexFilter#notify(), org.radeox.filter.regex.RegexFilter#notifyAll()

Constructor Detail

### LinkTestFilter

    LinkTestFilter()

Method Detail

### getWikiView

    protected java.lang.String getWikiView(java.lang.String name)

  Returns the view of the wiki name that is shown to the user. Overwrite to support other views for example transform "WikiLinking" to "Wiki Linking". Does nothing by default.
  Returns:
    view The view of the wiki name

### handleMatch

    void handleMatch(java.lang.StringBuffer buffer, org.radeox.regex.MatchResult result, org.radeox.filter.context.FilterContext context)

Groovy Documentation